std::ctype::~ctype(3)

NAME
std::ctype::~ctype - std::ctype::~ctype

Synopsis
   Defined in header <locale>
   protected: ~ctype();
   Destructs a std::ctype<char> facet. This destructor is protected and virtual (due to
   base class destructor being virtual). An object of type std::ctype<char>, like most
   facets, can only be destroyed when the last std::locale object that implements this
   facet goes out of scope or if a user-defined class is derived from std::ctype<char>
   and implements a public destructor.
   If, when this instance of std::ctype<char> was constructed, a custom classification
   table was provided and the second argument to the constructor (the boolean del) was
   true, then this destructor executes delete[] table().